Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/grants/{grant_id}/notetakers/{notetaker_id}/history

Return Notetaker history

Returns the full history of events and state changes for the specified Notetaker bot.

Works with an API key or an IAM API key with the notetakers.read permission.

Parameters

Path parameters

grant_id*string

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

notetaker_id*string

ID of the Notetaker bot to access.

Example: "71c807752c744ad0902f64d43e6cc399"

Responses

request_idstring

The request ID.

dataobject
GEThttps://api.us.nylas.com/v3/grants/nyla%40example.com/notetakers/71c807752c744ad0902f64d43e6cc399/history

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

notetaker_idrequiredstring

ID of the Notetaker bot to access.